Bug 234622 - Kernel 2933 crashes laptop on suspend
Kernel 2933 crashes laptop on suspend
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-03-30 12:42 EDT by Patrick
Modified: 2008-02-07 23:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:25:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Patrick 2007-03-30 12:42:22 EDT
Description of problem:
Laptop Acer TM6465 (Core 2 Duo) with latest bios update, FC6 up to date as of
today, running kernel 2.6.20-1.2933 (i686) crashes when I select suspend in the
Gnome menu. X is using the vesa driver.

Version-Release number of selected component (if applicable):
kernel 2.6.20-1.2933

How reproducible:
Start laptop, log in, select suspend. Wait for laptop to crash

Steps to Reproduce:
1. start laptop
2. log in to Gnome desktop
3. press suspend and wait for the laptop to crash
  
Actual results:
Laptop crashes

Expected results:
Laptop suspends

Additional info:
Output from /var/log/messages. Please note the "kernel BUG at
lib/list_debug.c:67!" message.

Mar 30 18:30:09 builder gnome-power-manager: (patrick) Suspending computer
because user clicked suspend from tray menu
Mar 30 18:30:10 builder hidd[2872]: Exit
Mar 30 18:30:11 builder sdpd[2825]: terminating...   
Mar 30 18:30:11 builder hcid[2819]: Unregister path:/org/bluez
Mar 30 18:30:11 builder hcid[2819]: Exit

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: ------------[ cut here ]------------

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: invalid opcode: 0000 [#1]

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: SMP 

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: CPU:    0

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: EIP:    0060:[<c04edb79>]    Not tainted VLI

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: EFLAGS: 00010096   (2.6.20-1.2933.fc6 #1)

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: EIP is at list_del+0x21/0x5d

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: eax: 00000048   ebx: f7281a40   ecx: c0700090   edx: 00000086

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: esi: f7c96000   edi: f93ef0a0   ebp: 00000286   esp: f34d9e98

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: ds: 007b   es: 007b   ss: 0068

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: Process modprobe (pid: 3736, ti=f34d9000 task=f7676130
task.ti=f34d9000)

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: Stack: c06bbebf f7281a40 f93feea0 f7281a40 f93b9419 f72816c8
f93b9504 00000246 

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:        f7c96000 f9408214 f93b917e c2590000 f94022f7 c2590048
f9408284 f7c960b4 

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: Call Trace:

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:        00000000 c0742860 00000000 f93ef0a0 f7c96000 f9408214
f7c97a4c f93b977f 

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<f93b9419>] __delete_addr+0x8/0x18 [ieee1394]

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<f93b9504>] __unregister_host+0x3a/0x98 [ieee1394]

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<f93b977f>] highlevel_remove_host+0x21/0x42 [ieee1394]

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<f93b917e>] hpsb_remove_host+0x38/0x56 [ieee1394]

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<f94022f7>] ohci1394_pci_remove+0x47/0x1ec [ohci1394]

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c04f5323>] pci_device_remove+0x16/0x35

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c0558484>] __device_release_driver+0x71/0x87

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c0558947>] driver_detach+0xa7/0xe8

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c0558077>] bus_remove_driver+0x5a/0x78

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c05589ac>] driver_unregister+0x8/0x13

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c04f5474>] pci_unregister_driver+0xe/0x4c

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c0440f99>] sys_delete_module+0x18a/0x1b1

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c0463432>] remove_vma+0x45/0x4a

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c0463dbb>] do_munmap+0x196/0x1af

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c0403f64>] syscall_call+0x7/0xb

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  [<c0620033>] lock_kernel+0x2c/0x3d

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel:  =======================

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: Code: 63 00 00 00 89 c3 eb e8 90 90 53 83 ec 0c 8b 48 04 8b 11
39 c2 74 18 89 54 24 08 89 44 24 04 c7 04 24 bf be 6b c0 e8 60 a0 f3 ff <0f> 0b
eb fe 8b 10 8b 5a 04 39 c3 74 18 89 5c 24 08 89 44 24 04 

Message from syslogd@builder at Fri Mar 30 18:30:11 2007 ...
builder kernel: EIP: [<c04edb79>] list_del+0x21/0x5d SS:ESP 0068:f34d9e98
Mar 30 18:30:11 builder kernel: NET: Unregistered protocol family 31
Mar 30 18:30:11 builder kernel: list_del corruption. prev->next should be
f7281a40, but was f93feea0
Mar 30 18:30:11 builder kernel: ------------[ cut here ]------------
Mar 30 18:30:11 builder kernel: kernel BUG at lib/list_debug.c:67!
Mar 30 18:30:11 builder kernel: invalid opcode: 0000 [#1]
Mar 30 18:30:11 builder kernel: SMP 
Mar 30 18:30:11 builder kernel: last sysfs file:
/devices/system/cpu/cpu0/cpufreq/scaling_cur_freq
Mar 30 18:30:11 builder kernel: Modules linked in: nls_utf8 ipv6
cpufreq_ondemand dm_mirror dm_multipath dm_mod video sbs i2c_ec dock button
battery asus_acpi backlight ac lp joydev snd_hda_intel snd_hda_codec
snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss
snd_mixer_oss snd_pcm sg snd_timer parport_pc snd parport ide_cd irda soundcore
i2c_i801 crc_ccitt sdhci snd_page_alloc ohci1394 i2c_core tg3 mmc_core iTCO_wdt
iTCO_vendor_support tpm_infineon ieee1394 tpm tpm_bios cdrom serio_raw pcspkr
ata_piix libata sd_mod scsi_mod ext3 jbd ehci_hcd ohci_hcd uhci_hcd
Mar 30 18:30:11 builder kernel: CPU:    0
Mar 30 18:30:11 builder kernel: EIP:    0060:[<c04edb79>]    Not tainted VLI
Mar 30 18:30:11 builder kernel: EFLAGS: 00010096   (2.6.20-1.2933.fc6 #1)
Mar 30 18:30:11 builder kernel: EIP is at list_del+0x21/0x5d
Mar 30 18:30:11 builder kernel: eax: 00000048   ebx: f7281a40   ecx: c0700090  
edx: 00000086
Mar 30 18:30:11 builder kernel: esi: f7c96000   edi: f93ef0a0   ebp: 00000286  
esp: f34d9e98
Mar 30 18:30:11 builder kernel: ds: 007b   es: 007b   ss: 0068
Mar 30 18:30:11 builder kernel: Process modprobe (pid: 3736, ti=f34d9000
task=f7676130 task.ti=f34d9000)
Mar 30 18:30:11 builder kernel: Stack: c06bbebf f7281a40 f93feea0 f7281a40
f93b9419 f72816c8 f93b9504 00000246 
Mar 30 18:30:11 builder kernel:        00000000 c0742860 00000000 f93ef0a0
f7c96000 f9408214 f7c97a4c f93b977f 
Mar 30 18:30:11 builder kernel:        f7c96000 f9408214 f93b917e c2590000
f94022f7 c2590048 f9408284 f7c960b4 
Mar 30 18:30:11 builder kernel: Call Trace:
Mar 30 18:30:11 builder kernel:  [<f93b9419>] __delete_addr+0x8/0x18 [ieee1394]
Mar 30 18:30:11 builder kernel:  [<f93b9504>] __unregister_host+0x3a/0x98 [ieee1394]
Mar 30 18:30:11 builder kernel:  [<f93b977f>] highlevel_remove_host+0x21/0x42
[ieee1394]
Mar 30 18:30:11 builder kernel:  [<f93b917e>] hpsb_remove_host+0x38/0x56 [ieee1394]
Mar 30 18:30:11 builder kernel:  [<f94022f7>] ohci1394_pci_remove+0x47/0x1ec
[ohci1394]
Mar 30 18:30:11 builder kernel:  [<c04f5323>] pci_device_remove+0x16/0x35
Mar 30 18:30:11 builder kernel:  [<c0558484>] __device_release_driver+0x71/0x87
Mar 30 18:30:11 builder kernel:  [<c0558947>] driver_detach+0xa7/0xe8
Mar 30 18:30:11 builder kernel:  [<c0558077>] bus_remove_driver+0x5a/0x78
Mar 30 18:30:11 builder kernel:  [<c05589ac>] driver_unregister+0x8/0x13
Mar 30 18:30:11 builder kernel:  [<c04f5474>] pci_unregister_driver+0xe/0x4c
Mar 30 18:30:11 builder kernel:  [<c0440f99>] sys_delete_module+0x18a/0x1b1
Mar 30 18:30:11 builder kernel:  [<c0463432>] remove_vma+0x45/0x4a
Mar 30 18:30:11 builder kernel:  [<c0463dbb>] do_munmap+0x196/0x1af
Mar 30 18:30:11 builder kernel:  [<c0403f64>] syscall_call+0x7/0xb
Mar 30 18:30:11 builder kernel:  [<c0620033>] lock_kernel+0x2c/0x3d
Mar 30 18:30:11 builder kernel:  =======================
Mar 30 18:30:11 builder kernel: Code: 63 00 00 00 89 c3 eb e8 90 90 53 83 ec 0c
8b 48 04 8b 11 39 c2 74 18 89 54 24 08 89 44 24 04 c7 04 24 bf be 6b c0 e8 60 a0
f3 ff <0f> 0b eb fe 8b 10 8b 5a 04 39 c3 74 18 89 5c 24 08 89 44 24 04 
Mar 30 18:30:11 builder kernel: EIP: [<c04edb79>] list_del+0x21/0x5d SS:ESP
0068:f34d9e98
Mar 30 18:30:11 builder kernel:  <3>BUG: sleeping function called from invalid
context at kernel/rwsem.c:20
Mar 30 18:30:11 builder kernel: in_atomic():0, irqs_disabled():1
Mar 30 18:30:11 builder kernel:  [<c043a29e>] down_read+0x12/0x28
Mar 30 18:30:11 builder kernel:  [<c044659e>] acct_collect+0x38/0x13e
Mar 30 18:30:11 builder kernel:  [<c0429b54>] do_exit+0x1b1/0x6f6
Mar 30 18:30:11 builder kernel:  [<c0427bf8>] printk+0x1f/0x95
Mar 30 18:30:11 builder kernel:  [<c0405530>] die+0x21b/0x240
Mar 30 18:30:11 builder kernel:  [<c040593b>] do_invalid_op+0x0/0xab
Mar 30 18:30:11 builder kernel:  [<c04059dd>] do_invalid_op+0xa2/0xab
Mar 30 18:30:11 builder kernel:  [<c04edb79>] list_del+0x21/0x5d
Mar 30 18:30:11 builder kernel:  [<c042759f>] release_console_sem+0x1ba/0x1c2
Mar 30 18:30:11 builder kernel:  [<c042b261>] on_each_cpu+0x1f/0x27
Mar 30 18:30:11 builder kernel:  [<c0417c59>] flush_tlb_all+0x1b/0x1d
Mar 30 18:30:11 builder kernel:  [<c0467105>] __vunmap+0xcf/0xe3
Mar 30 18:30:11 builder kernel:  [<c0417d00>] do_flush_tlb_all+0x0/0x57
Mar 30 18:30:11 builder kernel:  [<c062012c>] error_code+0x7c/0x84
Mar 30 18:30:11 builder kernel:  [<c04100d8>] powernowk8_target+0x40b/0x946
Mar 30 18:30:11 builder kernel:  [<c04edb79>] list_del+0x21/0x5d
Mar 30 18:30:11 builder kernel:  [<f93b9419>] __delete_addr+0x8/0x18 [ieee1394]
Mar 30 18:30:11 builder kernel:  [<f93b9504>] __unregister_host+0x3a/0x98 [ieee1394]
Mar 30 18:30:11 builder kernel:  [<f93b977f>] highlevel_remove_host+0x21/0x42
[ieee1394]
Mar 30 18:30:11 builder kernel:  [<f93b917e>] hpsb_remove_host+0x38/0x56 [ieee1394]
Mar 30 18:30:11 builder kernel:  [<f94022f7>] ohci1394_pci_remove+0x47/0x1ec
[ohci1394]
Mar 30 18:30:11 builder kernel:  [<c04f5323>] pci_device_remove+0x16/0x35
Mar 30 18:30:11 builder kernel:  [<c0558484>] __device_release_driver+0x71/0x87
Mar 30 18:30:11 builder kernel:  [<c0558947>] driver_detach+0xa7/0xe8
Mar 30 18:30:11 builder kernel:  [<c0558077>] bus_remove_driver+0x5a/0x78
Mar 30 18:30:11 builder kernel:  [<c05589ac>] driver_unregister+0x8/0x13
Mar 30 18:30:11 builder kernel:  [<c04f5474>] pci_unregister_driver+0xe/0x4c
Mar 30 18:30:11 builder kernel:  [<c0440f99>] sys_delete_module+0x18a/0x1b1
Mar 30 18:30:11 builder kernel:  [<c0463432>] remove_vma+0x45/0x4a
Mar 30 18:30:11 builder kernel:  [<c0463dbb>] do_munmap+0x196/0x1af
Mar 30 18:30:11 builder kernel:  [<c0403f64>] syscall_call+0x7/0xb
Mar 30 18:30:11 builder kernel:  [<c0620033>] lock_kernel+0x2c/0x3d
Mar 30 18:30:11 builder kernel:  =======================
Comment 1 Patrick 2007-04-04 21:25:14 EDT
Hibernate results in the same "kernel BUG at lib/list_debug.c:67!" error.
I just got the Rawhide 2.6.20-1.3040 kernel, rebuilt it for i686, installed it
and tried suspend again. With this kernel the laptop no longer crashes and
suspends fine. Problem is that it does not return from suspend. The screen
remains black, the harddisk led stays on for what seems 10 seconds, then the led
turns off and nothing else happens. I use vga=795 as a boot parameter. Don't
know if that could have a negative influence. If I need to try something please
let me know. Would love to see suspend work on this laptop.
Comment 2 Jon Stanley 2008-01-07 20:47:52 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 3 Jon Stanley 2008-02-07 23:25:28 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.